import {BaseViewCollectionItem} from '../../_components/new/'
import {
  BaseFormButtonBar,
  BaseFormGroupChosenMultiple,
  BaseFormGroupChosenOne,
  BaseFormGroupFileUpload,
  BaseFormGroupInput,
  BaseFormGroupInputNumber,
  BaseFormGroupInputPassword,
  BaseFormGroupTextarea,
  BaseServices,
  BaseFormGroupSwitch,
} from '@/components/new/'
import {BaseFormGroupIntervalUnit} from '@/views/Configuration/_components/new/'
import BaseFormGroupActiveDirectoryPasswordTest from './BaseFormGroupActiveDirectoryPasswordTest'
import BaseFormGroupAdministrationRules from './BaseFormGroupAdministrationRules'
import BaseFormGroupAuthenticationRules from './BaseFormGroupAuthenticationRules'
import BaseFormGroupDomains from './BaseFormGroupDomains'
import BaseFormGroupHostPortEncryption from './BaseFormGroupHostPortEncryption'
import BaseFormGroupPersonMappings from './BaseFormGroupPersonMappings'
import BaseFormGroupProtocolHostPort from './BaseFormGroupProtocolHostPort'
import ButtonSamlMetaData from './ButtonSamlMetaData'
import TheForm from './TheForm'
import TheView from './TheView'

export {
  BaseViewCollectionItem                    as BaseView,
  BaseFormButtonBar                         as FormButtonBar,

  BaseFormGroupInput                        as FormGroupAccessTokenParam,
  BaseFormGroupInput                        as FormGroupAccessTokenPath,
  BaseFormGroupInput                        as FormGroupAccountSid,
  BaseFormGroupInput                        as FormGroupActivationDomain,
  BaseFormGroupAdministrationRules          as FormGroupAdministrationRules,
  BaseFormGroupDomains                      as FormGroupAllowedDomains,
  BaseFormGroupSwitch                       as FormGroupAllowLocaldomain,
  BaseFormGroupInput                        as FormGroupApiKey,
  BaseFormGroupInputPassword                as FormGroupApiPassword,
  BaseFormGroupInput                        as FormGroupApiUsername,
  BaseFormGroupInput                        as FormGroupAuthenticateRealm,
  BaseFormGroupAuthenticationRules          as FormGroupAuthenticationRules,
  BaseFormGroupInput                        as FormGroupAuthenticationUrl,
  BaseFormGroupChosenOne                    as FormGroupAuthorizationSourceIdentifier,
  BaseFormGroupInput                        as FormGroupAuthorizationUrl,
  BaseFormGroupInput                        as FormGroupAuthorizePath,
  BaseFormGroupInputNumber                  as FormGroupAuthListeningPort,
  BaseFormGroupInput                        as FormGroupAuthToken,
  BaseFormGroupDomains                      as FormGroupBannedDomains,
  BaseFormGroupInput                        as FormGroupBaseDn,
  BaseFormGroupInput                        as FormGroupBindDn,
  BaseFormGroupFileUpload                   as FormGroupCaFile,
  BaseFormGroupSwitch                       as FormGroupCacheMatch,
  BaseFormGroupFileUpload                   as FormGroupCertFile,
  BaseFormGroupInput                        as FormGroupCertIdentifier,
  BaseFormGroupFileUpload                   as FormGroupClientCertFile,
  BaseFormGroupInput                        as FormGroupClientIdentifier,
  BaseFormGroupFileUpload                   as FormGroupClientKeyFile,
  BaseFormGroupInput                        as FormGroupClientSecret,
  BaseFormGroupInputNumber                  as FormGroupConnectionTimeout,
  BaseFormGroupSwitch                       as FormGroupCreateLocalAccount,
  BaseFormGroupChosenOne                    as FormGroupCurrency,
  BaseFormGroupSwitch                       as FormGroupCustomerPortal,
  BaseFormGroupInputNumber                  as FormGroupDeadDuration,
  BaseFormGroupInput                        as FormGroupDescription,
  BaseFormGroupInput                        as FormGroupDomains,
  BaseFormGroupIntervalUnit                 as FormGroupEmailActivationTimeout,
  BaseFormGroupInput                        as FormGroupEmailAddress,
  BaseFormGroupInput                        as FormGroupEmailAttribute,
  BaseFormGroupSwitch                       as FormGroupEmailRequired,
  BaseFormGroupInput                        as FormGroupGroupHeader,
  BaseFormGroupChosenOne                    as FormGroupHashPasswords,
  BaseFormGroupInput                        as FormGroupHost,
  BaseFormGroupHostPortEncryption           as FormGroupHostPortEncryption,
  BaseFormGroupInput                        as FormGroupIdentifier,
  BaseFormGroupFileUpload                   as FormGroupIdentityProviderCaCertPath,
  BaseFormGroupFileUpload                   as FormGroupIdentityProviderCertPath,
  BaseFormGroupInput                        as FormGroupIdentityProviderEntityIdentifier,
  BaseFormGroupFileUpload                   as FormGroupIdentityProviderMetadataPath,
  BaseFormGroupInput                        as FormGroupIdentityToken,
  BaseFormGroupFileUpload                   as FormGroupKeyFile,
  BaseFormGroupChosenOne                    as FormGroupLang,
  BaseFormGroupIntervalUnit                 as FormGroupLocalAccountExpiration,
  BaseFormGroupInputNumber                  as FormGroupLocalAccountLogins,
  BaseFormGroupChosenMultiple               as FormGroupLocalRealm,
  BaseFormGroupTextarea                     as FormGroupMessage,
  BaseFormGroupSwitch                       as FormGroupMonitor,
  BaseFormGroupInput                        as FormGroupNasIpAddress,
  BaseFormGroupTextarea                     as FormGroupOptions,
  BaseFormGroupActiveDirectoryPasswordTest  as FormGroupPassword,
  BaseFormGroupInput                        as FormGroupPasswordEmailUpdate,
  BaseFormGroupChosenOne                    as FormGroupPasswordLength,
  BaseFormGroupChosenOne                    as FormGroupPasswordRotation,
  BaseFormGroupFileUpload                   as FormGroupPath,
  BaseFormGroupChosenOne                    as FormGroupPaymentType,
  BaseFormGroupFileUpload                   as FormGroupPaypalCertFile,
  BaseFormGroupPersonMappings               as FormGroupPersonMappings,
  BaseFormGroupInputNumber                  as FormGroupPinCodeLength,
  BaseFormGroupInputNumber                  as FormGroupPort,
  BaseFormGroupInput                        as FormGroupProtectedResourceUrl,
  BaseFormGroupProtocolHostPort             as FormGroupProtocolHostPort,
  BaseFormGroupTextarea                     as FormGroupProxyAddresses,
  BaseFormGroupInput                        as FormGroupPublishableKey,
  BaseFormGroupInputNumber                  as FormGroupReadTimeout,
  BaseFormGroupChosenMultiple               as FormGroupRealms,
  BaseFormGroupInput                        as FormGroupRedirectUrl,
  BaseFormGroupSwitch                       as FormGroupRegisterOnActivation,
  BaseFormGroupChosenMultiple               as FormGroupRejectRealm,
  BaseFormGroupChosenOne                    as FormGroupScope,
  BaseFormGroupInput                        as FormGroupScopeString,
  BaseFormGroupChosenMultiple               as FormGroupSearchAttributes,
  BaseFormGroupInput                        as FormGroupSearchAttributesAppend,
  BaseFormGroupInputPassword                as FormGroupSecret,
  BaseFormGroupInput                        as FormGroupSecretKey,
  BaseFormGroupSwitch                       as FormGroupSendEmailConfirmation,
  BaseFormGroupInput                        as FormGroupServiceProviderEntityIdentifier,
  BaseFormGroupFileUpload                   as FormGroupServiceProviderCertPath,
  BaseFormGroupFileUpload                   as FormGroupServiceProviderKeyPath,
  BaseFormGroupSwitch                       as FormGroupShuffle,
  BaseFormGroupInput                        as FormGroupSite,
  BaseFormGroupIntervalUnit                 as FormGroupSmsActivationTimeout,
  BaseFormGroupChosenMultiple               as FormGroupSmsCarriers,
  BaseFormGroupChosenMultiple               as FormGroupSources,
  BaseFormGroupInput                        as FormGroupSponsorshipBcc,
  BaseFormGroupChosenOne                    as FormGroupStyle,
  BaseFormGroupInput                        as FormGroupTenantIdentifier,
  BaseFormGroupSwitch                       as FormGroupTestMode,
  BaseFormGroupInput                        as FormGroupTimeout,
  BaseFormGroupInput                        as FormGroupTwilioPhoneNumber,
  BaseFormGroupSwitch                       as FormGroupUseConnector,
  BaseFormGroupInputNumber                  as FormGroupUserGroupsCache,
  BaseFormGroupInput                        as FormGroupUserGroupsUrl,
  BaseFormGroupInput                        as FormGroupUserHeader,
  BaseFormGroupChosenOne                    as FormGroupUsernameAttribute,
  BaseFormGroupInput                        as FormGroupUsernameAttributeString,
  BaseFormGroupSwitch                       as FormGroupValidateSponsor,
  BaseFormGroupChosenOne                    as FormGroupVerify,
  BaseFormGroupInputNumber                  as FormGroupWriteTimeout,
  BaseFormGroupTextarea                     as FormGroupEduroamOptions,
  BaseFormGroupChosenMultiple               as FormGroupEduroamRadiusAuth,
  BaseFormGroupChosenOne                    as FormGroupEduroamRadiusAuthProxyType,
  BaseFormGroupInput                        as FormGroupEduroamOperatorName,

  BaseServices,
  ButtonSamlMetaData,
  TheForm,
  TheView
}
